/*  main.c - the main function
 *  Copyright (C) 2001 Kristof Verniers
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <mysql.h>
#include "ts.h"

int main(int argc, char *argv[])
{
  int result = NEED_HELP;

  if (readconfig(&config) != 1) return FAILURE;

  printf("\n");
  if (argc > 1) {
    --argc;
    ++argv;
    if (strcmp(*argv, "customer") == 0) {
      if (argc > 1) {
        --argc;
	++argv;
	if (strcmp(*argv, "list") == 0) {
	  result = list_customers();
	} else if (strcmp(*argv, "add") == 0) {
	  result = add_customer(--argc, ++argv);
	} else if (strcmp(*argv, "del") == 0) {
	  result = del_customer(--argc, ++argv);
	}
      }
    } else if (strcmp(*argv, "project") == 0) {
      if (argc > 1) {
        --argc;
	++argv;
	if (strcmp(*argv, "list") == 0) {
	  result = list_projects(--argc, ++argv);
	} else if (strcmp(*argv, "del") == 0) {
	  result = del_project(--argc, ++argv);
	} else if (strcmp(*argv, "add") == 0) {
	  result = add_project(--argc, ++argv);
        }
      }
    } else if (strcmp(*argv, "start") == 0) {
      if (argc > 1) {
	result = start_timesheet(--argc, ++argv);
      }
    } else if (strcmp(*argv, "stop") == 0) {
      if (argc > 1) {
	result = stop_timesheet(--argc, ++argv);
      }
    } else if (strcmp(*argv, "timesheet") == 0) {
      if (argc > 1) {
        --argc;
	++argv;
	if (strcmp(*argv, "list") == 0) {
	  result = list_timesheets(--argc, ++argv);
	} else if (strcmp(*argv, "del") == 0) {
	  result = del_timesheet(--argc, ++argv);
	} else if (strcmp(*argv, "modify") == 0) {
	  result = modify_timesheet(--argc, ++argv);
	}
      }
    }
  }

  if (result == NEED_HELP) syntax(HELP_GENERAL);
  printf("\n");

  return SUCCESS;
}

